# $Id: pound.spec 6056 2022-04-15 05:30:46Z rene $
# Authority: Dr. Linux
# Upstream: <roseg$apsis,ch>
%define           debug_package %{nil}

Summary: Reverse HTTP proxy, load balancer and SSL wrapper
Name: pound
Version: 3.0.2
Release: 1%{dist}
License: GPL
Group: Applications/Internet
URL: http://www.apsis.ch/pound/index.html

Packager: René Vermare <rene@vermare.net>
Vendor: Dr. Linux, https://repo.vermare.net/yum

Source: http://www.apsis.ch/pound/Pound-%{version}.tgz
Source1: pound.init
Source2: pound.yaml
Source3: pound.service

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: openssl-devel, pkgconfig, nanomsg-devel, libyaml-devel, mbedtls-devel

%description
Pound is a reverse HTTP proxy, load balancer, and SSL wrapper. It proxies 
client HTTPS requests to HTTP backend servers, distributes the requests 
among several servers while keeping sessions, supports HTTP/1.1 requests 
even if the backend server(s) are HTTP/1.0, and sanitizes requests.

%prep
%setup -n Pound-%{version}
gzip man/pound.8

%build
    cd build
    cmake ..
    make

%install
cd build
%{__rm} -rf %{buildroot}
%{__install} -d %{buildroot}%{_sbindir} %{buildroot}%{_mandir}/man8
%{__strip} --strip-unneeded pound
%{__install} -Dp -m0555 pound %{buildroot}%{_sbindir}/%{name}
%{__install} -Dp -m0755 %{SOURCE2} %{buildroot}%{_sysconfdir}/%{name}/%{name}.yaml
%{__install} -Dp -m0644 %{SOURCE3} %{buildroot}%{_unitdir}/%{name}.service
%{__install} -Dp -m0644 ../GPL.txt %{buildroot}%{_docdir}/%{name}-%{version}/GPL.txt
%{__install} -Dp -m0644 ../README.md %{buildroot}%{_docdir}/%{name}-%{version}/README.md
%{__install} -Dp -m0644 ../man/pound.8.gz %{buildroot}%{_mandir}/man8/%{name}.8.gz

%post -n pound
systemctl daemon-reload &>/dev/null

%postun -n pound
systemctl daemon-reload &>/dev/null

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%{_docdir}/%{name}-%{version}/GPL.txt
%{_docdir}/%{name}-%{version}/README.md
%doc %{_mandir}/man8/%{name}.8.gz
%{_sbindir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.yaml
%{_unitdir}/%{name}.service

%changelog
* Fri Apr 29 2022 René Vermare <rene@vermare.net> - 3.0.2-1
- Build from version 3.0.2-1; correct the unitfile
  (PIDFile= after ExecStart=) & prevent yaml to be
  overwritten during upgrade

* Fri Apr 15 2022 René Vermare <rene@vermare.net> - 3.0.2-0
- Initial build from version 3.0.2

* Wed May 16 2018 René Vermare <rene@vermare.net> - 2.8-0
- Initial build from version 2.8

* Fri Jul  7 2017 René Vermare <rene@vermare.nl> - 2.7-2
- Build against openssl 1.0.1e

* Mon Jan 26 2015 René Vermare <rene@vermare.nl> - 2.7-1
- Build version 2.7 for rhel4 with openssl-0.9.8e

* Wed Oct 29 2014 René Vermare <rene@vermare.nl> - 2.6-4
- Add TLS_FALLBACK_SCSV (pcidss) patch

* Mon Oct 27 2014 René Vermare <rene@vermare.nl> - 2.6-2
- Build against openssl version 0.9.8e

* Tue Jan 3 2012 René Vermare <rene@vermare.nl> - 2.6-1
- Updated to release 2.6 (with ssl support)

* Sat Feb 26 2011 René Vermare <rene@vermare.nl> - 2.5-2
- Rebuild 2.5 with SSL-support

* Mon Nov 29 2010 René Vermare <rene@vermare.nl> - 2.5-1
- Updated to release 2.5

* Tue Nov 10 2009 René Vermare <rene@vermare.nl> - 2.4.5-1
- Update to release 2.4.5

* Mon Feb 11 2008 Dag Wieers <dag@wieers.com> - 2.4-1 - 6056+/dries
- Updated to release 2.4.

* Mon Apr 16 2007 Dries Verachtert <dries@ulyssis.org> - 2.3-1
- Updated to release 2.3.

* Mon Dec 18 2006 Dries Verachtert <dries@ulyssis.org> - 2.2-1
- Updated to release 2.2.

* Mon Aug 07 2006 Dries Verachtert <dries@ulyssis.org> - 2.1-1
- Updated to release 2.1.

* Wed Apr 19 2006 Dries Verachtert <dries@ulyssis.org> - 2.0-1
- Initial package.
